System Administration
cancel
Showing results for 
Search instead for 
Did you mean: 

HP Smart Array B110i SATA RAID Driver for REHL4.7

Daniel Leiva
Advisor

HP Smart Array B110i SATA RAID Driver for REHL4.7

Hello ITRC Gurus

Is it posible to get a version of “HP Smart Array B110i SATA RAID Controller (AMD64/EM64T) Driver for Red Hat Enterprise Linux 4 (AMD64/EM64T)” a.k.a hpahcisr[ ].rpm compatible with kernel 2.6.9-78.0.22 ?

We have to install that hpahcisr and is not possible yet.

Best regards.
Daniel Leiva
There was a very poor man, so poor that all he had was money.
1 REPLY
Matti_Kurkela
Honored Contributor

Re: HP Smart Array B110i SATA RAID Driver for REHL4.7

The latest SmartArray B110i driver packages support RHEL 4.8 and its latest errata kernels as of this October.

Unfortunately, for RHEL 4.7, only the base level kernel is supported, not any of the errata kernels.

From the hpahcisr RPM release notes:

---- latest version = 1.2.4-17 ----
SUPPORTED KERNELS:
The kernels of Red Hat Enterprise Linux 4 (AMD64/EM64T) supported by this binary rpm are:
2.6.9-78.EL - Red Hat Enterprise Linux 4 Update 7 (AMD64/EM64T)
2.6.9-89.EL - Red Hat Enterprise Linux 4 Update 8 (AMD64/EM64T)
2.6.9-89.0.11.EL
2.6.9-89.0.16.EL
2.6.9-89.0.18.EL
2.6.9-89.0.20.EL
2.6.9-89.0.26.EL
----

---- previous version = 1.2.4.14 ----
SUPPORTED KERNELS:
The kernels of Red Hat Enterprise Linux 4 (AMD64/EM64T) supported by this binary rpm are:
2.6.9-67.EL - Red Hat Enterprise Linux 4 Update 6 (AMD64/EM64T)
2.6.9-67.0.1.EL
2.6.9-67.0.4.EL
2.6.9-67.0.7.EL
2.6.9-67.0.15.EL
2.6.9-78.EL - Red Hat Enterprise Linux 4 Update 7 (AMD64/EM64T)
2.6.9-89.EL - Red Hat Enterprise Linux 4 Update 8 (AMD64/EM64T)
2.6.9-89.0.7.EL
2.6.9-89.0.9.EL
2.6.9-89.0.16.EL
----

I'd guess the default answer would be "RHEL 4.7 errata kernels are not supported, please upgrade to 4.8". But if you have a specific requirement for 2.6.9-78.0.22, open a support call to HP and explain your situation - if you're an important enough customer, they might do it.

(Personally, I would not recommend SmartArray B110i for Linux use because the driver situation is so restrictive. But that's just my opinion.)

MK
MK